Author: jfrederic.clere(a)jboss.com
Date: 2011-07-14 10:21:10 -0400 (Thu, 14 Jul 2011)
New Revision: 2803
Added:
trunk/build/unix/util/jbosswebtests/build.sh
Modified:
trunk/build/unix/util/jbossweb/build.sh
Log:
Cut the build and the tests.
Modified: trunk/build/unix/util/jbossweb/build.sh
===================================================================
--- trunk/build/unix/util/jbossweb/build.sh 2011-07-14 12:05:51 UTC (rev 2802)
+++ trunk/build/unix/util/jbossweb/build.sh 2011-07-14 14:21:10 UTC (rev 2803)
@@ -56,14 +56,6 @@
mvn install || exit 1
-(cd ../jbosswebtests
- if $force_64; then
- mvn -Djvmsize=64 install || exit 1
- else
- mvn -Djvmsize=32 install || exit 1
- fi
-) || exit 1
-
echo ""
echo "SUCCESS : `basename $0` $LastChangedDate: 2011-05-06 16:35:58 +0200 (Fri, 06
May 2011) $"
echo ""
Added: trunk/build/unix/util/jbosswebtests/build.sh
===================================================================
--- trunk/build/unix/util/jbosswebtests/build.sh (rev 0)
+++ trunk/build/unix/util/jbosswebtests/build.sh 2011-07-14 14:21:10 UTC (rev 2803)
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Copyright(c) 2011 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running `basename $0` $LastChangedDate: 2011-05-06 16:35:58 +0200 (Fri, 06 May
2011) $"
+echo ""
+echo "Started : `date`"
+echo "Params : $@"
+echo ""
+
+# Globals
+build_top=`pwd`
+export build_top
+force_64=false
+
+while [ "x" != "x$1" ]
+do
+ case $1 in
+ 64)
+ force_64=true
+ ;;
+ 32)
+ force_64=false
+ ;;
+ *)
+ echo "Parameter $1 not supported"
+ echo "Usage build.sh [-64]"
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+if $force_64; then
+ mvn -Djvmsize=64 install || exit 1
+else
+ mvn -Djvmsize=32 install || exit 1
+fi
+
+echo ""
+echo "SUCCESS : `basename $0` $LastChangedDate: 2011-05-06 16:35:58 +0200 (Fri, 06
May 2011) $"
+echo ""
Property changes on: trunk/build/unix/util/jbosswebtests/build.sh
___________________________________________________________________
Added: svn:executable
+ *
Show replies by date